ghtMoments {fBasics} | R Documentation

## Generalized Hyperbolic Student-t Moments

### Description

Calculates moments of the generalized hyperbbolic Student-t distribution function.

### Usage

    ghtMean(beta=0.1, delta=1, mu=0, nu=10)
    ghtVar(beta=0.1, delta=1, mu=0, nu=10)
    ghtSkew(beta=0.1, delta=1, mu=0, nu=10)
    ghtKurt(beta=0.1, delta=1, mu=0, nu=10)

    ghtMoments(order, type = c("raw", "central", "mu"),
        beta=0.1, delta=1, mu=0, nu=10)

### Arguments

`beta, delta, mu` | numeric values. `beta` is the skewness parameter in the range `(0, alpha)`; `delta` is the scale parameter, must be zero or positive; `mu` is the location parameter, by default 0. These are the parameters in the first parameterization.
`nu` | a numeric value, the number of degrees of freedom. Note, `alpha` takes the limit of `abs(beta)`, and `lambda=-nu/2`.
`order` | an integer value, the order of the moment.
`type` | a character value, `"raw"` returns the moments about zero, `"central"` returns the central moments about the mean, and `"mu"` returns the moments about the location parameter `mu`.

### Value

a numerical value.

### Author(s)

Diethelm Wuertz.

### References

Scott, D.J., Wuertz, D. and Tran, T.T. (2008) Moments of the Generalized Hyperbolic Distribution. Preprint.

### Examples

    ## ghtMean -
       ghtMean(beta=0.2, delta=1.2, mu=-0.5, nu=4)

    ## ghtKurt -
       ghtKurt(beta=0.2, delta=1.2, mu=-0.5, nu=4)

    ## ghtMoments -
       ghtMoments(4,
         beta=0.2, delta=1.2, mu=-0.5, nu=4)
       ghtMoments(4, "central",
         beta=0.2, delta=1.2, mu=-0.5, nu=4)

[Package fBasics version 3042.89 Index]